Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1051623 - [DOC] how to set controller public and private ip's
Summary: [DOC] how to set controller public and private ip's
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Installation_and_Configuration_Guide
Version: 4.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 5.0 (RHEL 7)
Assignee: Tahlia Richardson
QA Contact: Andrew Dahms
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-10 17:35 UTC by Crag Wolfe
Modified: 2015-02-13 06:02 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-13 06:02:37 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Crag Wolfe 2014-01-10 17:35:22 UTC
Description of problem:

The PUBLIC_* and PRIVATE_* environment variables no longer exist in foreman_server.sh, the user will now need to populate all the relevant fields to for the controller public ip and controller private ip in the Host Groups UI.

The removal of PUBLIC_/PRIVATE_ vars was part of https://bugzilla.redhat.com/show_bug.cgi?id=1049688 .

Comment 2 Crag Wolfe 2014-01-10 23:51:08 UTC
More detail: the value of PRIVATE_CONTROLLER_IP from foreman_server.sh had been used to pre-populate fields in the Foreman Host Group parameters UI.  Now, the user needs to make sure that these parameters have the same IP address for the typical standalone controller case via the Foreman UI:

  controller_priv_ip
  mysql_host
  qpid_host

The above three are present in the Host Groups: Controller (Neutron), Controller (Nova Network), Compute (Neutron),
Compute (Nova Network), Neutron Networker, LVM Block Storage.  The values must be consistent across the Host Groups that the user is using for their OpenStack configuration.

Likewise, the PUBLIC_CONTROLLER_IP from foreman_server.sh was also used to pre-populate one parameter.  Now the user needs to make sure the following parameter is correct from within the Foreman Host Groups UI:

  controller_pub_ip

and must be consistent across the subset of the Host Groups relevant to the user: Controller (Neutron), Controller (Nova Network), Compute (Neutron), and Compute (Nova Network).

After installing foreman, the default value for controller_priv_ip, mysql_host and qpid_host is 172.16.0.1.  For controller_pub_ip, the default value is 172.16.1.1.  Of course, these need to be updated to suit the user's environment, but at least the defaults are consistent.

Comment 7 Andrew Dahms 2014-11-07 03:51:37 UTC
Checked in Red_Hat_Enterprise_Linux_OpenStack_Platform-Installation_and_Configuration_Guide-4-en-US-4-88.

The documentation includes a description of the values that must be set in a RHEL-OSP 4.0 environment.

Moving to VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.